# class ActiveSupport::Testing::Performance::Metrics::Base

### Attributes

loopback[R]
total[R]

### Public Class Methods

new() click to toggle source

    # File lib/active_support/testing/performance.rb, line 253
    def initialize
      @total = 0
    end

### Public Instance Methods

benchmark() { || ... } click to toggle source

    # File lib/active_support/testing/performance.rb, line 261
    def benchmark
      with_gc_stats do
        before = measure
        yield
        @total += (measure - before)
      end
    end

measure_mode() click to toggle source

    # File lib/active_support/testing/performance/ruby.rb, line 77
    def measure_mode
      self.class::Mode
    end

name() click to toggle source

    # File lib/active_support/testing/performance.rb, line 257
    def name
      @name ||= self.class.name.demodulize.underscore
    end

profile() { || ... } click to toggle source

    # File lib/active_support/testing/performance/jruby.rb, line 66
    def profile
      yield
    end

### Protected Instance Methods

with_gc_stats() { || ... } click to toggle source

    # File lib/active_support/testing/performance/jruby.rb, line 71
    def with_gc_stats
      ManagementFactory.memory_mx_bean.gc
      yield
    end